INTERFACE
SUBROUTINE RRTM_ECRT_140GP_MCICA&
 & ( KIDIA, KFDIA, KLON, KLEV, KCOLS ,&
 & PAER , AAODSTRAT_LW, PAPH , PAP ,&
 & PTS , PTH , PT ,&
 & PEMIS, PEMIW,&
 & PQ , PCO2 , PCH4, PN2O , PNO2, PC11, PC12, PC22, PCL4, POZN, PCLDF , PTAUCLDI,&
 & PCLDFRAC, PTAUCLD, PCOLDRY, PWKL, PWX ,&
 & PTAUAERL, PAVEL , PTAVEL , PZ , PTZ , PTBOUND, PSEMISS , KREFLECT) 
USE PARKIND1 ,ONLY : JPIM, JPRB
USE PARRRTM , ONLY : JPBAND, JPXSEC, JPLAY, JPINPX
USE YOERAD, ONLY : LCMIP6_STRATAER_FULL,STRATO_CMIP6_NTB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KCOLS
REAL(KIND=JPRB) ,INTENT(IN) :: PAER(KLON,6,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: AAODSTRAT_LW(KLON,KLEV,JPBAND)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PAP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PTH(KLON,KLEV+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIS(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PEMIW(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCO2(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCH4(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PN2O(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PNO2(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PC11(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PC12(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PC22(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCL4(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: POZN(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PCLDF(KLON,KCOLS,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PTAUCLDI(KLON,KLEV,KCOLS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCLDFRAC(KIDIA:KFDIA,KCOLS,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTAUCLD(KIDIA:KFDIA,JPLAY,KCOLS)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOLDRY(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWKL(KIDIA:KFDIA,JPINPX,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: PWX(KIDIA:KFDIA,JPXSEC,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTAUAERL(KIDIA:KFDIA,JPLAY,JPBAND)
REAL(KIND=JPRB) ,INTENT(OUT) :: PAVEL(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTAVEL(KIDIA:KFDIA,JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: PZ(KIDIA:KFDIA,0:JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTZ(KIDIA:KFDIA,0:JPLAY)
REAL(KIND=JPRB) ,INTENT(OUT) :: PTBOUND(KIDIA:KFDIA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PSEMISS(KIDIA:KFDIA,JPBAND)
INTEGER(KIND=JPIM),INTENT(OUT) :: KREFLECT(KIDIA:KFDIA)
END SUBROUTINE RRTM_ECRT_140GP_MCICA
END INTERFACE
